Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xml.xpath
Class AxisParent

    java.lang.Object
      com.novell.xml.xpath.Axis
          com.novell.xml.xpath.AxisElement
              com.novell.xml.xpath.AxisParent

All Implemented Interfaces:
  ContextNodeList

    public class AxisParent

extends AxisElement

class representing XPath "parent" axis

Nested Class Summary

Nested classes/interfaces inherited from class com.novell.xml.xpath.Axis
`Axis.AxisMark`

Field Summary

Fields inherited from class com.novell.xml.xpath.Axis
`stripper`

Fields inherited from interface com.novell.xml.xpath.ContextNodeList
`DOCUMENT_ORDER, REVERSE_DOCUMENT_ORDER, UNKNOWN_ORDER`

Constructor Summary
`AxisParent()`

Method Summary
`int` | `count()` return count of nodes in axis (either 0 or 1) depending on whether context node has a parent or not
`Node` | `first()` Return the first member of the axis in axis-defined order.
`ContextListMark` | `getMark()` Return a marker to current position in this axis This marker can be used later in a call to returnToMark() to return to the marked position
`Node` | `next()` Return subsequent nodes in the axis.
`int` | `position()` Returns position of node in axis (0 or 1 depending on whether context node has a parent or not)
`Node` | `returnToMark(ContextListMark mark)` Go to a position in a ContextNodeList previously marked with getMark()
`String` | `toString()` Provide a readable description of the axis for debugging.

Methods inherited from class com.novell.xml.xpath.AxisElement
`principalNodeType`

Methods inherited from class com.novell.xml.xpath.Axis
`done, getContextNode, incPosition, init, order, setup, stripNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AxisParent

    public AxisParent()

Method Detail

### toString

    public String toString()

  Provide a readable description of the axis for debugging.

  Specified by:
    `toString` in class `Axis`
  Returns:
    String representation of the axis (the axis name)

### first

    public Node first()

  Return the first member of the axis in axis-defined order. setup() must be called first NOTE: because DOM level-1 doesn't provide a method for retrieving an attribute's owning element, this method does NOT work for raw DOM attribute nodes. For this to work, the attribute node MUST have been decorated with XPathAttributeNode. AxisAttribute decorates all attribute nodes before they are returned

  Returns:
    The first node in the axis, or null if the axis is empty.

### next

    public Node next()

  Return subsequent nodes in the axis. first() must be called before next() to setup the context. The nodes are returned in axis dependent order.

  Returns:
    The next node in the axis, or null if there are no more nodes in the axis.

### count

    public int count()

  return count of nodes in axis (either 0 or 1) depending on whether context node has a parent or not

  Specified by:
    `count` in interface `ContextNodeList`
  Overrides:
    `count` in class `Axis`
  Returns:
    0 or 1

### position

    public int position()

  Returns position of node in axis (0 or 1 depending on whether context node has a parent or not)

  Specified by:
    `position` in interface `ContextNodeList`
  Overrides:
    `position` in class `Axis`
  Returns:
    0 or 1

### getMark

    public ContextListMark getMark()

  Return a marker to current position in this axis This marker can be used later in a call to returnToMark() to return to the marked position

  Returns:
    an opaque marker

### returnToMark

    public Node returnToMark(ContextListMark mark)

  Go to a position in a ContextNodeList previously marked with getMark()

  Parameters:
    `mark` - mark returned from getMark()
  Returns:
    The node at the mark

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD